﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=7.3
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public L0 As List
	Public N As Notification
	Public FileName As String ="listcontent.txt"
	Public FilePath As String = File.DirInternal
	Public ExportPath As String = File.DirRootExternal
	Public Hour As Long = DateTime.TicksPerHour
	Public TwoHoursAndHalf As Long = (Hour * 2) + (Hour / 2)
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	L0.Initialize
End Sub

Sub Service_Start (StartingIntent As Intent)
	If File.Exists(File.DirInternal,FileName) Then
		Log("File exists")
		L0=File.ReadList(File.DirInternal,FileName)
		Log("Read: " & L0.Size & " entries")
	End If
	
	StartServiceAt(sv1,DateTime.Now+DateTime.TicksPerSecond,True)
	PrepareNotification
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
	StartServiceAt(sv1,DateTime.Now+DateTime.TicksPerSecond,True)
	Log("App is killed")
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy
	
End Sub

Sub SaveL0(Content As String)
	Private L1 As List
	L1.Initialize
	If File.Exists(File.DirInternal,FileName) Then
		L1=File.ReadList(File.DirInternal,FileName)
	End If
	L1.Add(Content)
	L0.Add(Content)
	File.WriteList(File.DirInternal,FileName,L1)
End Sub


Sub PrepareNotification
	If N.IsInitialized Then
		Log("N already Initialized: " & N.IsInitialized)
	Else
		N.Initialize
		N.Icon="icon"
		N.AutoCancel=False
		N.Insistent=False
		N.Light=False
		N.Sound=False
		N.Vibrate=False
		N.SetInfo("Test running","Test",Main)
		N.Number=1
		Log("N is now created")
	End If
End Sub