﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=7.3
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Private Timer1 As Timer
	Private PWS As PhoneWakeState
End Sub

Sub Service_Create
	PWS.PartialLock
	Timer1.Initialize("Timer1",(DateTime.TicksPerSecond*10))
	Timer1.Enabled = True
	Service.StartForeground(1,Starter.N)
	Log("sv2 StartedForeground")
End Sub

Sub Service_Start (StartingIntent As Intent)
	WriteNow
End Sub

Sub Service_Destroy
	Log("sv2 entered Service_Destroy")
	If Timer1.Enabled Then
		Timer1.Enabled=False
	End If
	Log("Timer1 enabled: " & Timer1.Enabled)
	
	Starter.N.Cancel(1)
	PWS.ReleasePartialLock
	Log("sv2 exists Service_Destroy")
End Sub

Sub Timer1_Tick
	Log("T_Tick")
	ToastMessageShow("Timer1_Tick",False)
	WriteNow
End Sub

Sub WriteNow
	CallSubDelayed2(Starter,"SaveL0",$"sv2 - $Date{DateTime.Now} $time{DateTime.now}"$)
End Sub